function EDP_Aux2
    %% Inicializar Matriz Dominio Discretizado
    % Longitudes
    h1=4;
    l1=4;
    delta = 0.1;
    
    % Condiciones de borde
    hi = 0:delta:h1;
    li = 0:delta:l1;
    cb_top = exp(hi)-cos(hi);
    cb_bot = exp(hi)*cos(h1)-exp(h1)*cos(hi);
    cb_side_l = cos(li)-exp(li);
    cb_side_r = exp(l1)*cos(li)-exp(li)*cos(l1);
    
    % Numero de puntos por lado
    h1 = h1/delta;
    l1 = l1/delta;
    
    % Discretizar
    k=0; % Cuenta incognitas
    G = zeros(l1,h1);
    
    for i=1:l1
        for j=1:h1
            k=k+1;
            G(i,j)=k;
        end
    end
    figure; spy(G); %figure; imagesc(G)
    
    %% Plantear Sistema de Ecuaciones
    N=k; %Total de incognitas
    A=sparse(N,N);
    B=zeros(N,1);
    
    for i=1:l1
        for j=1:h1
            %disp([i j])
            k=G(i,j); %Ecuacion nº k
            %% Borde izquierdo
            if(j==1)
                %disp('BI')
                A(k,G(i,j+1))=1;
                B(k) = B(k)-cb_side_l(i);
                % Esquina 
                if(i==1)
                    B(k) = B(k)-cb_top(j);
                    A(k,G(i+1,j))=1;
                elseif(i==l1)
                    B(k) = B(k)-cb_bot(j);
                    A(k,G(i-1,j))=1;
                else
                    A(k,G(i-1,j))=1;
                    A(k,G(i+1,j))=1;
                end
         
            %% Borde derecho
            elseif(j==h1)
                %disp('BD')
                A(k,G(i,j-1))=1;
                B(k) = B(k)-cb_side_r(i);
                % Esquina
                if(i==1)
                    B(k) = B(k)-cb_top(j);
                    A(k,G(i+1,j))=1;
                elseif(i==l1)
                    B(k) = B(k)-cb_bot(j);
                    A(k,G(i-1,j))=1;
                else
                    A(k,G(i-1,j))=1;
                    A(k,G(i+1,j))=1;
                end
                
            %% Borde superior 
            elseif(i==1)
                %disp('BS')
                A(k,G(i,j+1))=1;
                A(k,G(i,j-1))=1;
                A(k,G(i+1,j))=1;
                B(k)=B(k)-cb_top(j);
                
            %% Borde inferior   
            elseif(i==l1)
                %disp('BI')
                A(k,G(i,j+1))=1;
                A(k,G(i,j-1))=1;
                A(k,G(i-1,j))=1;
                B(k)=B(k)-cb_bot(j);
                
            %% Interior         
            else
                %disp('INT')
                A(k,G(i,j+1))=1;
                A(k,G(i,j-1))=1;
                A(k,G(i-1,j))=1;
                A(k,G(i+1,j))=1;
            end
            
            % Siempre punto actual lleva -4
            if k>0
                A(k,k)=-4; 
            end
        end
    end
    figure; spy(A)
    
    %% Resolver sistema
    U=A\B;
    %figure; spy(U)
    M=G*NaN;
    for i=1:l1
        for j=1:h1
            k=G(i,j);
            if k>0
                M(i,j)=U(k);
            end                
        end
    end
    figure;
    subplot(1,2,1); imagesc(M);
    subplot(1,2,2); surf(M); colorbar;

    
    %% Velocidades
    [vx,vy]=gradient(M);
    figure; quiver(vx,vy)
end
