function EDP_Aux3
    %% Inicializar Matriz Dominio Discretizado
    % Longitudes
    h1=2;
    h2=2;
    l1=2;
    l2=2;
    delta = 0.2;
    
    % Condiciones de borde
    hi = 0:delta:h1+h2;
    li = 0:delta:l1+l2;
    cb_top = exp(hi)-cos(hi);
    cb_bot = exp(hi)*cos(h1)-exp(h1)*cos(hi);
    cb_side_l = cos(li)-exp(li);
    cb_side_r = exp(l1)*cos(li)-exp(li)*cos(l1);
    
    % Numero de puntos por lado
    h1 = h1/delta; h2 = h2/delta;
    l1 = l1/delta; l2 = l2/delta;
    nh = h1+h2;
    nl = l1+l2;
    
    % Discretizar
    k=0; % Cuenta incognitas
    G = zeros(nl,nh);
    
    for i=1:nl
        for j=1:nh
            if ~(j>h1 && i<l1)
                k=k+1;
                G(i,j)=k;
            end
        end
    end
    %figure; spy(G);
    
    %% Plantear Sistema de Ecuaciones
    N=k; %Total de incognitas
    A=sparse(N,N);
    B=zeros(N,1);
    
    for i=1:nl
        for j=1:nh
            %disp([i j])
            k=G(i,j); %Ecuacion nº k
            %% Borde izquierdo
            if(j==1)
                %disp('BI')
                A(k,G(i,j+1))=1;
                B(k) = B(k)-cb_side_l(i);
                % Esquina 
                if(i==1)
                    B(k) = B(k)-cb_top(j);
                    A(k,G(i+1,j))=1;
                elseif(i==nl)
                    B(k) = B(k)-cb_bot(j);
                    A(k,G(i-1,j))=1;
                else
                    A(k,G(i-1,j))=1;
                    A(k,G(i+1,j))=1;
                end
         
            %% Borde derecho
            elseif((j==h1 && i<l1) || (j==nh && i>=l1))
                %disp('BD')
                A(k,G(i,j-1))=1;
                B(k) = B(k)-cb_side_r(i);
                % Esquina
                if(i==1 || i==l1)
                    B(k) = B(k)-cb_top(j);
                    A(k,G(i+1,j))=1;
                elseif(i==nl)
                    B(k) = B(k)-cb_bot(j);
                    A(k,G(i-1,j))=1;
                else
                    A(k,G(i-1,j))=1;
                    A(k,G(i+1,j))=1;
                end
                
            %% Borde superior 
            elseif((i==1 && j<=h1) || (i==h1 && j>h1))
                %disp('BS')
                A(k,G(i,j+1))=1;
                A(k,G(i,j-1))=1;
                A(k,G(i+1,j))=1;
                B(k)=B(k)-cb_top(j);
                
            %% Borde inferior   
            elseif(i==nl)
                %disp('BI')
                A(k,G(i,j+1))=1;
                A(k,G(i,j-1))=1;
                A(k,G(i-1,j))=1;
                B(k)=B(k)-cb_bot(j);
                
            %% Interior         
            elseif ~(i<=l1 && j>=h1)
                %disp('INT')
                A(k,G(i,j+1))=1;
                A(k,G(i,j-1))=1;
                A(k,G(i-1,j))=1;
                A(k,G(i+1,j))=1;
            end
            
            % Siempre punto actual lleva -4
            if k>0
                A(k,k)=-4; 
            end
        end
    end
    %figure; spy(A)
    
    %% Resolver sistema
    U=A\B;
    %figure; spy(U)
    M=G*NaN;
    for i=1:nl
        for j=1:nh
            k=G(i,j);
            if k>0
                M(i,j)=U(k);
            end                
        end
    end
    figure;
    subplot(1,2,1); imagesc(M);
    subplot(1,2,2); imagesc(M); surf(M); colorbar;
    
    %% Velocidades
    [vx,vy]=gradient(M);
    figure; quiver(vx,vy)
end
